Bug 74086 - Session startup hangs (metacity?)
Session startup hangs (metacity?)
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2002-09-15 13:18 EDT by Jos Vos
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-12 17:23:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2002-09-15 13:18:06 EDT
Description of Problem:
The startup of a session hangs just after starting metacity, when the saved
session file contains a ampersand in the title of a Galeon window.

Version-Release number of selected component (if applicable):

How Reproducible:
Start Galeon, go to the GNOME home page, select on the GNOME home page the link
"The GNOME 2.0 Desktop & Developer ...", log out *and* save the session, and
start up again. Now the user won't be able to login again.

The metacity session file contains an entry like:

  <window id="11d41acf29000103210079600000017730000" class="galeon_browser"
name="Galeon" title="GNOME - 2.0.2 Desktop & Developer Platform - Galeon"
role="" type="normal" stacking="2">
    <workspace index="0"/>
    <geometry x="153" y="0" width="799" height="748" gravity="NorthWestGravity"/>

Removing this entry causes the problem to disappear.
Comment 1 Havoc Pennington 2002-10-01 12:21:11 EDT
Fixed in metacity CVS
Comment 2 Havoc Pennington 2003-01-12 17:23:08 EST
CVS fix now in rawhide.

Note You need to log in before you can comment on or make changes to this bug.